| Home | Libraries | People | FAQ | More

##### insert(value_type const &)

Insert a value to the index.

###### Synopsis

    void insert(value_type const & value)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`value_type` `const &` | `value` | The value which will be stored in the container.

###### Throws

- If Value copy constructor or copy assignment throws.
- If allocation throws or returns invalid value.

| Warning
This operation only guarantees that there will be no memory leaks. After an exception is thrown the R-tree may be left in an inconsistent state, elements must not be inserted or removed. Other operations are allowed however some of them may return invalid data.